IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_FRONT_SYSTEM_CFG' AND KSQL_COL_NAME ='FPRINT_QR_CODE')
    ALTER TABLE T_SIM_FRONT_SYSTEM_CFG ADD (FPRINT_QR_CODE varchar(10) default '');
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_BILL_DATA' AND KSQL_COL_NAME ='FAUTO_INVOICE')
    ALTER TABLE T_SIM_ISOMERISM_BILL_DATA ADD (FAUTO_INVOICE varchar(10) default '');
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_BILL_DATA' AND KSQL_COL_NAME ='FAUTO_MERGE')
    ALTER TABLE T_SIM_ISOMERISM_BILL_DATA ADD (FAUTO_MERGE varchar(10) default '');
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_BILL_DATA' AND KSQL_COL_NAME ='FPUSH_TYPE')
    ALTER TABLE T_SIM_ISOMERISM_BILL_DATA ADD (FPUSH_TYPE varchar(10) default '');

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_BILL_DATA' AND KSQL_COL_NAME ='FBILL_DISCOUNT_AMOUNT')
    ALTER TABLE T_SIM_ISOMERISM_BILL_DATA ADD (FBILL_DISCOUNT_AMOUNT DECIMAL(12,4) DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_BILL_DATA' AND KSQL_COL_NAME ='FBLOCK_CODE')
    ALTER TABLE T_SIM_ISOMERISM_BILL_DATA ADD (FBLOCK_CODE varchar(50) default '');

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_ITEM_DATA' AND KSQL_COL_NAME ='FDISCOUNT_AMOUNT')
    ALTER TABLE T_SIM_ISOMERISM_ITEM_DATA ADD (FDISCOUNT_AMOUNT DECIMAL(12,4) DEFAULT 0 NOT NULL);	
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_ITEM_DATA' AND KSQL_COL_NAME ='FLINE_PROPERTY')
    ALTER TABLE T_SIM_ISOMERISM_ITEM_DATA ADD (FLINE_PROPERTY varchar(10) default '');	
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_ITEM_DATA' AND KSQL_COL_NAME ='FPRODUCT_UNIT')
    ALTER TABLE T_SIM_ISOMERISM_ITEM_DATA ADD (FPRODUCT_UNIT varchar(10) default '');	
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_ITEM_DATA' AND KSQL_COL_NAME ='FDISCOUNT_RATE')
    ALTER TABLE T_SIM_ISOMERISM_ITEM_DATA ADD (FDISCOUNT_RATE DECIMAL(10,2) DEFAULT 0 NOT NULL);	
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ISOMERISM_ITEM_DATA' AND KSQL_COL_NAME ='FSPECIFICATION')
    ALTER TABLE T_SIM_ISOMERISM_ITEM_DATA ADD (FSPECIFICATION varchar(50) default '');		
	
	
	